#!/ur/bin/env python2

import glob
import os.path
import markdown
from sat.core.i18n import _
from sat.core.log import getLogger
from libervia.server.tasks import task


log = getLogger(__name__)


class Task(task.Task):

    def start(self):
        sat_path = self.getConfig("sat_repos_path")
        for filepath in glob.glob(os.path.join(sat_path, "CONTRAT_SOCIAL*")):
            filename = os.path.basename(filepath)
            with open(filepath) as f:
                md = markdown.markdown(f.read())
            build_path = os.path.join(self.build_path, filename + '.html')
            with open(build_path, 'w') as f:
                f.write(md)

        log.info(_("social contract has been converted to  HTML"))
